---
title: "Retrieve a revision of a decision model variant"
slug: "retrieve-a-revision-of-a-decision-model-variant"
abstract: "Describes how to retrieve a revision using the Sitecore Personalize Decision model variant REST API."
---
# Retrieve a revision of a decision model variant

`GET /v2/decisionModelVariants/<decisionModelVariantRef>/revisions/revisionRef`

Retrieves a revision of a decision model variant.

| Attribute | Type | Description | Example |
| --- | --- | --- | --- |
| `decisionModelVariantRef` | string | The reference of the decision model variant.<br><br>If you do not know the decision model variant reference, first [retrieve variants of a decision model](https://doc.sitecore.com/personalize/en/developers/api/rest-apis/decision-model-variant-rest-api/retrieve-variants-of-a-decision-model.html). | `c682b6b6-934b-415b-bc46-ce6184809156` |
| `revisionref` | string | The reference of the revision.<br><br>If you do not know the revision reference, first [retrieve revisions](https://doc.sitecore.com/personalize/en/developers/api/rest-apis/decision-model-variant-rest-api/retrieve-revisions-of-a-decision-model-variant.html). | `1` |

```curl
curl -X GET '<baseURL>/v2/decisionModelDefinitions/c682b6b6-934b-415b-bc46-ce6184809156/revisions/1' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json'

```

```json
{
   "clientKey":"pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
   "href":"<baseURL>/v2/decisionModelVariants/c682b6b6-934b-415b-bc46-ce6184809156/revisions/1",
   "ref":"c682b6b6-934b-415b-bc46-ce6184809156",
   "name":"Seasonal Offers",
   "modifiedByUserRef":"25f46901-bc51-45e8-b587-148aecf1e48f",
   "modifiedAt":"2026-10-05T07:`37:49`.650Z",
   "revision":1,
   "archived":false,
   "decisionModelDefinitionRef":"db6ee91d-bc02-4e83-8621-a17aee09814d",
   "definition":"<definitions xmlns=\"http://www.omg.org/spec/DMN/20151101/dmn.xsd\" id=\"definitions\" name=\"definitions\" namespace=\"http://camunda.org/schema/1.0/dmn\" />",
   "transpiledDefinition":"<definitions xmlns=\"http://www.omg.org/spec/DMN/20151101/dmn.xsd\" id=\"definitions\" name=\"definitions\" namespace=\"http://camunda.org/schema/1.0/dmn\" />",
   "decisionModelDefinition":{
      "href":"<baseURL>/v2/decisionModelDefinitions/db6ee91d-bc02-4e83-8621-a17aee09814d"
   },
   "offers":[
      "938a3392-1a18-4872-844a-9ecd56f61bf0",
      "2ff198c2-caee-4ccd-ab89-99a18ead3b06",
      "024c33ee-c74a-4b33-8050-7c2fccd4c776"
   ]
}

```